%**************************************************************************
% This function computes the q in a non linear equation that matches the
% data
%**************************************************************************


function[fq]=funqs(X);
global lomega chiid xiid byS PidS beta pitarget alpha0 alpha1 G gamma0 gamma1 gammaM0 gammaM1 etaM0 etaM1 btarget omega sigma chi xi zetaS zetaL;

q = X(1);
s = X(2);

fq(1) = (byS/((PidS/zetaS)*lomega - byS*0.5*sigma)) - ((PidS/zetaS)*(1-lomega)*chiid/((PidS/zetaS)*lomega - byS*0.5*sigma))*(q^(1-xiid)/(1-xiid)) - q; 

fq(2) = (0.5*sigma*zetaS)*((lomega*((chiid*(q^(-xiid)))-1))/(lomega+(1-lomega)* (chiid*(q^(-xiid))) )) - s; 

fq=[fq(1); fq(2); ];

